/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ021GT00.java

*

* Created on 12/05/09 01:56:08

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

import q02b.exe.arquitectura.utils.tablasBD.*;

import java.util.ArrayList;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public class Q02bTablaBDQ021GS00 extends Q02bTablaBD implements Q02bITablaBDQ021GS00 {

    private static final long serialVersionUID =1L;

    /** Constante para la propiedad Q021GT00_NI */

    public final static int COLUMN_Q021GT00_NI = 1;

    /** Constante para la propiedad Q021GT00_NI */

    public final static String NOMCOLUMN_Q021GT00_NI = "Q021GT00_NI";

    /** Constante para la propiedad Q021GT00_NI */

    public final static int TAM_MAXIMO_Q021GT00_NI = 10;

    /** Constante para la propiedad Q021GT00_COD */

    public final static int COLUMN_Q021GT00_COD = 2;

    /** Constante para la propiedad Q021GT00_COD */

    public final static String NOMCOLUMN_Q021GT00_COD = "Q021GT00_COD";

    /** Constante para la propiedad Q021GT00_COD */

    public final static int TAM_MAXIMO_Q021GT00_COD = 15;

    /** Constante para la propiedad Q021GT00_DESC */

    public final static int COLUMN_Q021GT00_DESC = 3;

    /** Constante para la propiedad Q021GT00_DESC */

    public final static String NOMCOLUMN_Q021GT00_DESC = "Q021GT00_DESC";

    /** Constante para la propiedad Q021GT00_DESC */

    public final static int TAM_MAXIMO_Q021GT00_DESC = 50;

    /** Constante para la propiedad Q021GT00_TST_ALTA */

    public final static int COLUMN_Q021GT00_TST_ALTA = 4;

    /** Constante para la propiedad Q021GT00_TST_ALTA */

    public final static String NOMCOLUMN_Q021GT00_TST_ALTA = "Q021GT00_TST_ALTA";

    /** Constante para la propiedad Q021GT00_TST_ALTA */

    public final static int TAM_MAXIMO_Q021GT00_TST_ALTA = 7;

    /** Constante para la propiedad Q021GT00_USU_ALTA */

    public final static int COLUMN_Q021GT00_USU_ALTA = 5;

    /** Constante para la propiedad Q021GT00_USU_ALTA */

    public final static String NOMCOLUMN_Q021GT00_USU_ALTA = "Q021GT00_USU_ALTA";

    /** Constante para la propiedad Q021GT00_USU_ALTA */

    public final static int TAM_MAXIMO_Q021GT00_USU_ALTA = 10;

    /** Constante para la propiedad Q021GT00_USU_MODIF */

    public final static int COLUMN_Q021GT00_USU_MODIF = 6;

    /** Constante para la propiedad Q021GT00_USU_MODIF */

    public final static String NOMCOLUMN_Q021GT00_USU_MODIF = "Q021GT00_USU_MODIF";

    /** Constante para la propiedad Q021GT00_USU_MODIF */

    public final static int TAM_MAXIMO_Q021GT00_USU_MODIF = 10;

    /** Constante para la propiedad Q021GT00_TST_MODIF */

    public final static int COLUMN_Q021GT00_TST_MODIF = 7;

    /** Constante para la propiedad Q021GT00_TST_MODIF */

    public final static String NOMCOLUMN_Q021GT00_TST_MODIF = "Q021GT00_TST_MODIF";

    /** Constante para la propiedad Q021GT00_TST_MODIF */

    public final static int TAM_MAXIMO_Q021GT00_TST_MODIF = 7;

    /** Constante para la propiedad NUMCOLUMNAS */

    public final static int COLUMN_NUMCOLUMNAS = 7;

    protected StringBuffer queryLog = new StringBuffer();

    /** Holds value of property Q021GT00_NI*/

    protected Long Q021GT00_NI = null;

    /** Holds value of property Q021GT00_NI_WHERE */

    protected Long Q021GT00_NI_WHERE = null;

    protected boolean Q021GT00_NI_MODIF = false;

    /** Holds value of property Q021GT00_COD*/

    protected String Q021GT00_COD = null;

    /** Holds value of property Q021GT00_COD_WHERE */

    protected String Q021GT00_COD_WHERE = null;

    protected boolean Q021GT00_COD_MODIF = false;

    /** Holds value of property Q021GT00_DESC*/

    protected String Q021GT00_DESC = null;

    /** Holds value of property Q021GT00_DESC_WHERE */

    protected String Q021GT00_DESC_WHERE = null;

    protected boolean Q021GT00_DESC_MODIF = false;

    /** Holds value of property Q021GT00_TST_ALTA*/

    protected java.util.Date Q021GT00_TST_ALTA = null;

    /** Holds value of property Q021GT00_TST_ALTA_WHERE */

    protected java.util.Date Q021GT00_TST_ALTA_WHERE = null;

    protected boolean Q021GT00_TST_ALTA_MODIF = false;

    /** Holds value of property Q021GT00_USU_ALTA*/

    protected Long Q021GT00_USU_ALTA = null;

    /** Holds value of property Q021GT00_USU_ALTA_WHERE */

    protected Long Q021GT00_USU_ALTA_WHERE = null;

    protected boolean Q021GT00_USU_ALTA_MODIF = false;

    /** Holds value of property Q021GT00_USU_MODIF*/

    protected Long Q021GT00_USU_MODIF = null;

    /** Holds value of property Q021GT00_USU_MODIF_WHERE */

    protected Long Q021GT00_USU_MODIF_WHERE = null;

    protected boolean Q021GT00_USU_MODIF_MODIF = false;

    /** Holds value of property Q021GT00_TST_MODIF*/

    protected java.util.Date Q021GT00_TST_MODIF = null;

    /** Holds value of property Q021GT00_TST_MODIF_WHERE */

    protected java.util.Date Q021GT00_TST_MODIF_WHERE = null;

    protected boolean Q021GT00_TST_MODIF_MODIF = false;

    /** Holds value of property numMaxRegistros. */

    protected int  numMaxRegistros = 0;

    /** Holds value of property numInicio. */

    protected int  numInicio = 0;

    /** Holds value of property numFinal. */

    protected int  numFinal = 0;

    /** Holds value of property orderBy. */

    protected String  orderBy = null;

    /** Holds value of property limitRows. */

    protected boolean  limitRows = false;

    /** Holds value of property aditionalWhere. */

    protected String  aditionalWhere = null;

    /** Holds value of property initialWhere. */

    protected String  initialWhere = null;

    /** Holds value of property fixedWhere. */

    protected String  fixedWhere = null;

    /** Holds value of property distinct. */

    protected String  distinct = null;

    /** Holds value of property groupBy. */

    protected String  groupBy = null;

    /** Holds value of property max. */

    protected String  max = null;

    /** Holds value of property fechaClase. */

    protected static String sFechaClase = "12/05/09 01:56:08";

    protected String columnas[] =  {"Q021GT00_NI", "Q021GT00_COD", "Q021GT00_DESC", "Q021GT00_TST_ALTA", "Q021GT00_USU_ALTA", "Q021GT00_USU_MODIF", "Q021GT00_TST_MODIF"};

    protected int tipos[] =  {3, 12, 12, 93, 3, 3, 93};

    protected int longitudes[] =  {10, 15, 50, 7, 10, 10, 7};

    protected ArrayList columnasSelect = new ArrayList();

    protected StringBuffer sbColumnasSelect = new StringBuffer();

    protected ArrayList alias = new ArrayList();

    protected String columnasPK[] =  {"Q021GT00_NI"};

    protected String columnasFK[] =  {null};

    protected String tablasFK[] =  {null};

    protected boolean nullables[] =  {false,false,false,false,false,true,false};



    protected Class arrClases[]={java.sql.Connection.class};

    protected Object arrObjetos[]={connection};

    protected String tableFrom="Q021GS00";

    protected int regModif=0;

    protected boolean uncommittedRead=false;

    protected boolean forUpdate=false;

    protected Q02bITablaBDQ021GS00 iTablaBDQ021GS00 = null;

    /** Creates new Q021GT00 */

    public Q02bTablaBDQ021GS00() {

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Creates new Q021GS00 */

    public Q02bTablaBDQ021GS00(Connection con) {

        connection=con;

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Method reset */

    public void reset() {

        iTablaBDQ021GS00.setQ021GT00_NI(null);

        iTablaBDQ021GS00.setQ021GT00_NI_WHERE(null);

        iTablaBDQ021GS00.setQ021GT00_NI_MODIF(false);

        iTablaBDQ021GS00.setQ021GT00_COD(null);

        iTablaBDQ021GS00.setQ021GT00_COD_WHERE(null);

        iTablaBDQ021GS00.setQ021GT00_COD_MODIF(false);

        iTablaBDQ021GS00.setQ021GT00_DESC(null);

        iTablaBDQ021GS00.setQ021GT00_DESC_WHERE(null);

        iTablaBDQ021GS00.setQ021GT00_DESC_MODIF(false);

        iTablaBDQ021GS00.setQ021GT00_TST_ALTA(null);

        iTablaBDQ021GS00.setQ021GT00_TST_ALTA_WHERE(null);

        iTablaBDQ021GS00.setQ021GT00_TST_ALTA_MODIF(false);

        iTablaBDQ021GS00.setUSER(null);

        iTablaBDQ021GS00.setUSER_WHERE(null);

        iTablaBDQ021GS00.setUSER_MODIF(false);

        iTablaBDQ021GS00.setUSER(null);

        iTablaBDQ021GS00.setUSER_WHERE(null);

        iTablaBDQ021GS00.setUSER_MODIF(false);

        iTablaBDQ021GS00.setQ021GT00_TST_MODIF(null);

        iTablaBDQ021GS00.setQ021GT00_TST_MODIF_WHERE(null);

        iTablaBDQ021GS00.setQ021GT00_TST_MODIF_MODIF(false);

        iTablaBDQ021GS00.setNumMaxRegistros(0);

        iTablaBDQ021GS00.setNumInicio(0);

        iTablaBDQ021GS00.setNumFinal(0);

        iTablaBDQ021GS00.setOrderBy(null);

        iTablaBDQ021GS00.setAditionalWhere(null);

        iTablaBDQ021GS00.setInitialWhere(null);

        iTablaBDQ021GS00.setFixedWhere(null);

        iTablaBDQ021GS00.setDistinct(null);

        iTablaBDQ021GS00.setMax(null);

        columnasSelect = null;

        tableFrom = "Q021GS00";

        iTablaBDQ021GS00.setUncommittedRead(false);

        iTablaBDQ021GS00.setForUpdate(false);

        iTablaBDQ021GS00.setGroupBy(null);

    }



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna) {

        iTablaBDQ021GS00.addColumnSelect(nombreColumna);

    }



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect() {

        iTablaBDQ021GS00.clearColumnsSelect();

    }



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas) {

        iTablaBDQ021GS00.setColumnsSelect(listaColumnas);

    }



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas) {

        iTablaBDQ021GS00.setTableFrom(listaTablas);

    }



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom() {

        return iTablaBDQ021GS00.getTableFrom();

    }



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif() {

        return iTablaBDQ021GS00.getRegModif();

    }



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur) {

        iTablaBDQ021GS00.setUncommittedRead(ur);

    }



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead() {

        return iTablaBDQ021GS00.getUncommittedRead();

    }



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu) {

        iTablaBDQ021GS00.setForUpdate(fu);

    }



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate() {

        return iTablaBDQ021GS00.getForUpdate();

    }



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas) {

             iTablaBDQ021GS00.setGroupBy(listaColumnas);

    }



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy() {

        return iTablaBDQ021GS00.getGroupBy();

    }



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect() {

        return iTablaBDQ021GS00.getColumnsSelect();

    }



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException  {

        return iTablaBDQ021GS00.select(where);

    }



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException  {

        return iTablaBDQ021GS00.selectCount(where);

    }



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException  {

        return iTablaBDQ021GS00.selectDistinct(where);

    }



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException  {

        return iTablaBDQ021GS00.selectMax(where);

    }



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException  {

        return iTablaBDQ021GS00.select();

    }



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException  {

        return iTablaBDQ021GS00.selectCount();

    }



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException  {

        return iTablaBDQ021GS00.selectDistinct();

    }



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException  {

        return iTablaBDQ021GS00.selectMax();

    }



    /** Method update() */

    public void update()throws SQLException  {

        iTablaBDQ021GS00.update();

        }



    /** Method update(where) 

    * @param where New value of property WHERE.

    */

    public void update(String  where )throws SQLException  {

        iTablaBDQ021GS00.update(where);

    }



    /** Method delete(where) 

    * @param where New value of property WHERE.

    */

    public void delete(String where)throws SQLException  {

        iTablaBDQ021GS00.delete(where);

    }



    /** Method delete */

    public void delete()throws SQLException  {

        iTablaBDQ021GS00.delete();

    }



    /** Method insert */

    public void insert()throws SQLException  {

        iTablaBDQ021GS00.insert();

    }



    /** Setter for property Q021GT00_NI.

    * @param valor New value of propertyQ021GT00_NI.

    */

    public void setQ021GT00_NI(long valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_NI=new Long(valor);

        }else{

           iTablaBDQ021GS00.setQ021GT00_NI(valor);

        }

    }



    public void setQ021GT00_NI(Long valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_NI=valor;

        if (valor==null){

             this.Q021GT00_NI_MODIF=true;

        }

        }else{

           iTablaBDQ021GS00.setQ021GT00_NI(valor);

           if (valor==null){

                iTablaBDQ021GS00.setQ021GT00_NI_MODIF(true);

           }

        }

    }



    public void setQ021GT00_NI_WHERE(long valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_NI_WHERE=new Long(valor);

        }else{

           iTablaBDQ021GS00.setQ021GT00_NI_WHERE(valor);

        }

    }



    public void setQ021GT00_NI_WHERE(Long valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_NI_WHERE=valor;

        }else{

           iTablaBDQ021GS00.setQ021GT00_NI_WHERE(valor);

        }

    }



    public void setQ021GT00_NI_MODIF(boolean valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_NI_MODIF=valor;

        }else{

           iTablaBDQ021GS00.setQ021GT00_NI_MODIF(valor);

        }

    }



    /** Setter for property Q021GT00_COD.

    * @param valor New value of propertyQ021GT00_COD.

    */

    public void setQ021GT00_COD(String valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_COD=valor;

        if (valor==null){

            this.Q021GT00_COD_MODIF =true;

        }

        }else{

           iTablaBDQ021GS00.setQ021GT00_COD(valor);

           if (valor==null){

              iTablaBDQ021GS00.setQ021GT00_COD_MODIF(true);

           }

        }

    }



    public void setQ021GT00_COD_WHERE(String valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_COD_WHERE=valor;

        }else{

           iTablaBDQ021GS00.setQ021GT00_COD_WHERE(valor);

        }

    }



    public void setQ021GT00_COD_MODIF(boolean valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_COD_MODIF=valor;

        }else{

           iTablaBDQ021GS00.setQ021GT00_COD_MODIF(valor);

        }

    }



    /** Setter for property Q021GT00_DESC.

    * @param valor New value of propertyQ021GT00_DESC.

    */

    public void setQ021GT00_DESC(String valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_DESC=valor;

        if (valor==null){

            this.Q021GT00_DESC_MODIF =true;

        }

        }else{

           iTablaBDQ021GS00.setQ021GT00_DESC(valor);

           if (valor==null){

              iTablaBDQ021GS00.setQ021GT00_DESC_MODIF(true);

           }

        }

    }



    public void setQ021GT00_DESC_WHERE(String valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_DESC_WHERE=valor;

        }else{

           iTablaBDQ021GS00.setQ021GT00_DESC_WHERE(valor);

        }

    }



    public void setQ021GT00_DESC_MODIF(boolean valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_DESC_MODIF=valor;

        }else{

           iTablaBDQ021GS00.setQ021GT00_DESC_MODIF(valor);

        }

    }



    /** Setter for property Q021GT00_TST_ALTA.

    * @param valor New value of propertyQ021GT00_TST_ALTA.

    */

    public void setQ021GT00_TST_ALTA(java.util.Date valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_TST_ALTA=valor;

        if (valor==null){

            this.Q021GT00_TST_ALTA_MODIF =true;

        }

        }else{

           iTablaBDQ021GS00.setQ021GT00_TST_ALTA(valor);

           if (valor==null){

              iTablaBDQ021GS00.setQ021GT00_TST_ALTA_MODIF(true);

           }

        }

    }



    public void setQ021GT00_TST_ALTA_WHERE(java.util.Date valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_TST_ALTA_WHERE=valor;

        }else{

           iTablaBDQ021GS00.setQ021GT00_TST_ALTA_WHERE(valor);

        }

    }



    public void setQ021GT00_TST_ALTA_MODIF(boolean valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_TST_ALTA_MODIF=valor;

        }else{

           iTablaBDQ021GS00.setQ021GT00_TST_ALTA_MODIF(valor);

        }

    }



    /** Setter for property USER.

    * @param valor New value of propertyUSER.

    */

    public void setUSER(long valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_USU_ALTA=new Long(valor);

           this.Q021GT00_USU_MODIF=new Long(valor);

        }else{

           iTablaBDQ021GS00.setUSER(valor);

        }

    }



    public void setUSER(Long valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_USU_ALTA=valor;

           this.Q021GT00_USU_MODIF=valor;

        if (valor==null){

             this.Q021GT00_USU_ALTA_MODIF=true;

        }

        }else{

           iTablaBDQ021GS00.setUSER(valor);

           if (valor==null){

                iTablaBDQ021GS00.setUSER_MODIF(true);

           }

        }

    }



    public void setUSER_WHERE(long valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_USU_ALTA_WHERE=new Long(valor);

        }else{

           iTablaBDQ021GS00.setUSER_WHERE(valor);

        }

    }



    public void setUSER_WHERE(Long valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_USU_ALTA_WHERE=valor;

        }else{

           iTablaBDQ021GS00.setUSER_WHERE(valor);

        }

    }



    public void setUSER_MODIF(boolean valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_USU_ALTA_MODIF=valor;

        }else{

           iTablaBDQ021GS00.setUSER_MODIF(valor);

        }

    }



    /** Setter for property Q021GT00_TST_MODIF.

    * @param valor New value of propertyQ021GT00_TST_MODIF.

    */

    public void setQ021GT00_TST_MODIF(java.util.Date valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_TST_MODIF=valor;

        if (valor==null){

            this.Q021GT00_TST_MODIF_MODIF =true;

        }

        }else{

           iTablaBDQ021GS00.setQ021GT00_TST_MODIF(valor);

           if (valor==null){

              iTablaBDQ021GS00.setQ021GT00_TST_MODIF_MODIF(true);

           }

        }

    }



    public void setQ021GT00_TST_MODIF_WHERE(java.util.Date valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_TST_MODIF_WHERE=valor;

        }else{

           iTablaBDQ021GS00.setQ021GT00_TST_MODIF_WHERE(valor);

        }

    }



    public void setQ021GT00_TST_MODIF_MODIF(boolean valor) {

        if (iTablaBDQ021GS00==null){

        this.Q021GT00_TST_MODIF_MODIF=valor;

        }else{

           iTablaBDQ021GS00.setQ021GT00_TST_MODIF_MODIF(valor);

        }

    }



    /** Getter for property Q021GT00_NI.

    * @return Value of property Q021GT00_NI.

    */

    public Long getQ021GT00_NI() {

        if (iTablaBDQ021GS00==null){

            return this.Q021GT00_NI;

        }else{

           return iTablaBDQ021GS00.getQ021GT00_NI();

        }

    }



    /** Getter for property Q021GT00_NI_WHERE.

    * @return Value of property Q021GT00_NI_WHERE.

    */

    public Long getQ021GT00_NI_WHERE() {

        if (iTablaBDQ021GS00==null){

            return this.Q021GT00_NI_WHERE;

        }else{

           return iTablaBDQ021GS00.getQ021GT00_NI_WHERE();

        }

    }



    /** Getter for property Q021GT00_COD.

    * @return Value of property Q021GT00_COD.

    */

    public String getQ021GT00_COD() {

        if (iTablaBDQ021GS00==null){

            return this.Q021GT00_COD;

        }else{

           return iTablaBDQ021GS00.getQ021GT00_COD();

        }

    }



    /** Getter for property Q021GT00_COD_WHERE.

    * @return Value of property Q021GT00_COD_WHERE.

    */

    public String getQ021GT00_COD_WHERE() {

        if (iTablaBDQ021GS00==null){

            return this.Q021GT00_COD_WHERE;

        }else{

           return iTablaBDQ021GS00.getQ021GT00_COD_WHERE();

        }

    }



    /** Getter for property Q021GT00_DESC.

    * @return Value of property Q021GT00_DESC.

    */

    public String getQ021GT00_DESC() {

        if (iTablaBDQ021GS00==null){

            return this.Q021GT00_DESC;

        }else{

           return iTablaBDQ021GS00.getQ021GT00_DESC();

        }

    }



    /** Getter for property Q021GT00_DESC_WHERE.

    * @return Value of property Q021GT00_DESC_WHERE.

    */

    public String getQ021GT00_DESC_WHERE() {

        if (iTablaBDQ021GS00==null){

            return this.Q021GT00_DESC_WHERE;

        }else{

           return iTablaBDQ021GS00.getQ021GT00_DESC_WHERE();

        }

    }



    /** Getter for property Q021GT00_TST_ALTA.

    * @return Value of property Q021GT00_TST_ALTA.

    */

    public java.util.Date getQ021GT00_TST_ALTA() {

        if (iTablaBDQ021GS00==null){

            return this.Q021GT00_TST_ALTA;

        }else{

           return iTablaBDQ021GS00.getQ021GT00_TST_ALTA();

        }

    }



    /** Getter for property Q021GT00_TST_ALTA_WHERE.

    * @return Value of property Q021GT00_TST_ALTA_WHERE.

    */

    public java.util.Date getQ021GT00_TST_ALTA_WHERE() {

        if (iTablaBDQ021GS00==null){

            return this.Q021GT00_TST_ALTA_WHERE;

        }else{

           return iTablaBDQ021GS00.getQ021GT00_TST_ALTA_WHERE();

        }

    }



    /** Getter for property USER.

    * @return Value of property USER.

    */

    public Long getUSER() {

        if (iTablaBDQ021GS00==null){

            return this.Q021GT00_USU_ALTA;

        }else{

           return iTablaBDQ021GS00.getUSER();

        }

    }



    /** Getter for property USER_WHERE.

    * @return Value of property USER_WHERE.

    */

    public Long getUSER_WHERE() {

        if (iTablaBDQ021GS00==null){

            return this.Q021GT00_USU_ALTA_WHERE;

        }else{

           return iTablaBDQ021GS00.getUSER_WHERE();

        }

    }



    /** Getter for property Q021GT00_TST_MODIF.

    * @return Value of property Q021GT00_TST_MODIF.

    */

    public java.util.Date getQ021GT00_TST_MODIF() {

        if (iTablaBDQ021GS00==null){

            return this.Q021GT00_TST_MODIF;

        }else{

           return iTablaBDQ021GS00.getQ021GT00_TST_MODIF();

        }

    }



    /** Getter for property Q021GT00_TST_MODIF_WHERE.

    * @return Value of property Q021GT00_TST_MODIF_WHERE.

    */

    public java.util.Date getQ021GT00_TST_MODIF_WHERE() {

        if (iTablaBDQ021GS00==null){

            return this.Q021GT00_TST_MODIF_WHERE;

        }else{

           return iTablaBDQ021GS00.getQ021GT00_TST_MODIF_WHERE();

        }

    }



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor) {

        if (iTablaBDQ021GS00==null){

           this.idConexion = valor;

        }else{

           iTablaBDQ021GS00.setIdConexion(valor);

        }

    }



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase() {

        if (iTablaBDQ021GS00==null){

           return sFechaClase;

        }else{

           return iTablaBDQ021GS00.getFechaClase();

        }

    }



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion() {

        if (iTablaBDQ021GS00==null){

           return this.idConexion;

        }else{

           return iTablaBDQ021GS00.getIdConexion();

        }

    }



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog() {

        if (iTablaBDQ021GS00==null){

           return this.queryLog.toString();

        }else{

           return iTablaBDQ021GS00.getQueryLog();

        }

    }



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor) {

        if (iTablaBDQ021GS00==null){

        this.numInicio = valor;

        }else{

           iTablaBDQ021GS00.setNumInicio(valor);

        }

    }



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio() {

        if (iTablaBDQ021GS00==null){

           return this.numInicio;

        }else{

           return iTablaBDQ021GS00.getNumInicio();

        }

    }



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor) {

        if (iTablaBDQ021GS00==null){

        this.numFinal = valor;

        }else{

           iTablaBDQ021GS00.setNumFinal(valor);

        }

    }



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal() {

        if (iTablaBDQ021GS00==null){

           return this.numFinal;

        }else{

           return iTablaBDQ021GS00.getNumFinal();

        }

    }



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor) {

        if (iTablaBDQ021GS00==null){

        this.numMaxRegistros = valor;

        }else{

           iTablaBDQ021GS00.setNumMaxRegistros(valor);

        }

    }



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros() {

        if (iTablaBDQ021GS00==null){

           return this.numMaxRegistros;

        }else{

           return iTablaBDQ021GS00.getNumMaxRegistros();

        }

    }



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor) {

        if (iTablaBDQ021GS00==null){

        this.limitRows = valor;

        }else{

           iTablaBDQ021GS00.setLimitRows(valor);

        }

    }



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows() {

        if (iTablaBDQ021GS00==null){

           return this.limitRows;

        }else{

           return iTablaBDQ021GS00.getLimitRows();

        }

    }



    /** Getter for property connection.

    * @return Value of property connection.

    */

    public Connection getConn() {

        if (iTablaBDQ021GS00==null){

           return this.connection;

        }else{

           return iTablaBDQ021GS00.getConn();

        }

    }



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor) {

        if (iTablaBDQ021GS00==null){

           this.orderBy = valor;

        }else{

           iTablaBDQ021GS00.setOrderBy(valor);

        }

    }



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy() {

        if (iTablaBDQ021GS00==null){

           return this.orderBy;

        }else{

           return iTablaBDQ021GS00.getOrderBy();

        }

    }



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor) {

        if (iTablaBDQ021GS00==null){

           this.aditionalWhere = valor;

        }else{

           iTablaBDQ021GS00.setAditionalWhere(valor);

        }

    }



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere() {

        if (iTablaBDQ021GS00==null){

           return this.aditionalWhere;

        }else{

           return iTablaBDQ021GS00.getAditionalWhere();

        }

    }



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere() {

        if (iTablaBDQ021GS00==null){

           return this.initialWhere;

        }else{

           return iTablaBDQ021GS00.getInitialWhere();

        }

    }



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor) {

        if (iTablaBDQ021GS00==null){

           this.initialWhere = valor;

        }else{

           iTablaBDQ021GS00.setInitialWhere(valor);

        }

    }



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere() {

        if (iTablaBDQ021GS00==null){

           return this.fixedWhere;

        }else{

           return iTablaBDQ021GS00.getFixedWhere();

        }

    }



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor) {

        if (iTablaBDQ021GS00==null){

           this.fixedWhere = valor;

        }else{

           iTablaBDQ021GS00.setFixedWhere(valor);

        }

    }



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor) {

        if (iTablaBDQ021GS00==null){

           this.distinct = valor;

        }else{

           iTablaBDQ021GS00.setDistinct(valor);

        }

    }



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct() {

        if (iTablaBDQ021GS00==null){

           return this.distinct;

        }else{

           return iTablaBDQ021GS00.getDistinct();

        }

    }



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor) {

        if (iTablaBDQ021GS00==null){

           this.max = valor;

        }else{

           iTablaBDQ021GS00.setMax(valor);

        }

    }



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax() {

        if (iTablaBDQ021GS00==null){

           return this.max;

        }else{

           return iTablaBDQ021GS00.getMax();

        }

    }



    /** Method freeResources.

    * @return void.

    */

    public void freeResources() {

        if (iTablaBDQ021GS00==null){

           super.freeResources();

        }else{

           iTablaBDQ021GS00.freeResources();

        }

    }



    /** Method freeResourcesNotConnection.

    * @return void.

    */

    public void freeResourcesNotConnection() {

        if (iTablaBDQ021GS00==null){

           super.freeResourcesNotConnection();

        }else{

           iTablaBDQ021GS00.freeResourcesNotConnection();

        }

    }



    /** Method getColumnas.

    * @return String[].

    */

    public String[] getColumnas() {

        return this.columnas;

    }



    /** Method getColumnasPK.

    * @return String[].

    */

    public String[] getColumnasPK() {

        return this.columnasPK;

    }



    /** Method getTipos.

    * @return int[].

    */

    public int[] getTipos() {

        return this.tipos;

    }



}

